Get wallet positions
curl --request GET \
--url https://api.pods.finance/wallets/{address} \
--header 'x-api-key: <api-key>'import requests
url = "https://api.pods.finance/wallets/{address}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.pods.finance/wallets/{address}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"positions": [
{
"spotPosition": {
"apy": 123,
"avgApy": 123,
"grossAPY": 123,
"inceptionApy": 123,
"netAPY": 123,
"cumulativeProfit": null,
"currentPosition": null,
"principal": null,
"profit": null,
"underlyingBalanceUSD": 123
},
"strategy": {
"id": "Aave-USDC-polygon",
"slug": "Aave-USDC-polygon",
"asset": "<string>",
"assetDecimals": 6,
"assetName": "USDC",
"availableActions": [
"lend",
"withdraw"
],
"implementationSelector": "AavePolygon",
"network": "polygon",
"networkId": "137",
"protocol": "Aave",
"underlyingAsset": "<string>",
"underlyingDecimals": 123,
"isDefault": true,
"paused": true,
"startDate": "<string>",
"fee": "0",
"performanceFeeBps": "0",
"metadata": {},
"marketData": {
"lastRefreshedAt": "2023-11-07T05:31:56Z",
"samples": [
{
"at": "2023-11-07T05:31:56Z",
"tvl": "<string>",
"tvlUsd": 123
}
],
"tvl": "<string>",
"tvlChange24h": 123,
"tvlUsd": 123,
"usdRate": 123
},
"protocolInfo": {
"name": "Aave",
"logo": "https://icons.llamao.fi/icons/protocols/aave"
},
"chain": {
"name": "polygon",
"id": 137,
"explorer": {
"name": "Polygonscan",
"url": "https://polygonscan.com"
},
"logo": "<string>"
},
"assetToken": {
"name": "USD Coin",
"address": "0x3c499c542cef5e3811e1192ce70d8cc03d5c3359",
"symbol": "USDC",
"decimals": 6,
"logo": "<string>"
},
"underlyingToken": {
"name": "USD Coin",
"address": "0x3c499c542cef5e3811e1192ce70d8cc03d5c3359",
"symbol": "USDC",
"decimals": 6,
"logo": "<string>"
},
"logourl": "<string>",
"category": [
"<string>"
]
}
}
],
"summary": {
"totalUnderlyingBalanceUSD": 1000.5
}
}Wallets
Get wallet positions
Retrieve all DeFi positions for a wallet address
GET
/
wallets
/
{address}
Get wallet positions
Authorizations
API key for authentication. Obtain from your Pods dashboard.
Path Parameters
Wallet address
Example:
"0xb794F5eA0ba39494cE839613fffBA74279579268"
Was this page helpful?
⌘I